%define momorel		2
%define	emacsver	21.3
%define xemacsver	21.4
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages
#%%define	cvsday		20020722

Summary: apel - A Portable Emacs Library - for Emacsen
Name: elisp-apel
Version: 10.6
Release: %{momorel}m
License: GPL
Group: Applications/Editors
#Source: ftp://ftp.m17n.org/pub/mule/apel/apel-%{version}.tar.gz
Source: ftp://ftp.jpl.org/pub/elisp/apel/apel-%{version}.tar.gz
Nosource: 0
#Patch: apel-%{cvsday}-cvs.patch
URL: http://www.m17n.org/APEL/
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
APEL stands for "A Portable Emacs Library".
It is a library to support to write portable Emacs Lisp programs.

%package -n apel-emacs
Group: Applications/Editors
Summary: apel - A Portable Emacs Library - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n apel-emacs
APEL stands for "A Portable Emacs Library".
It is a library to support to write portable Emacs Lisp programs.

%package -n apel-xemacs
Group: Applications/Editors
Summary: apel - A Portable Emacs Library - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo

%description -n apel-xemacs
APEL stands for "A Portable Emacs Library".
It is a library to support to write portable Emacs Lisp programs.

%prep
%setup -q -n apel-%{version}
#%%patch -p1
rm -rf %{buildroot}

%build
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp \
	install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README.en README.ja

%files -n apel-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/apel
%{_datadir}/emacs/%{emacsver}/site-lisp/emu

%files -n apel-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-packages/lisp/apel

%changelog
* Tue Jul  8 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (10.6-2m)
- reyurn Source0 URL to ftp.m17n.org

* Sat Jul  5 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (10.6-1m)
- version up to 10.6
- change Source0 URL temporary.

* Fri Jun  6 2003 Kazuhiko <kazuhiko@fdiary.net>
- (10.5-1m)

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (10.4-2m)
- rebuild against emacs-21.3
- use %%_prefix and %%_datadir

* Tue Dec 31 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (10.4-1m)
- Version update to 10.4

* Fri Aug  9 2002 Hideo TASHIRO <tashiron@jasmiso.org>
- (10.3-21m)
- First build for momonga Linux
- Update CVS patch.  Use snapshot 
  (ftp://ftp.jpl.org/pub/elisp/apel/snapshots/apel-200207221304.tar.gz)
- Add xemacs-sumo to BuildPreReq

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (10.3-20k)
- rebuild against emacs-21.2

* Thu Oct 25 2001 Hidetomo Machi <mcHT@kondara.org>
- (10.3-18k)
- use %emacsver again

* Tue Oct 23 2001 Kazuhiko <kazuhiko@kondara.org>
- (10.3-16k)
- rebuild against emacs-21.1 and xemacs-21.4

* Mon Oct 22 2001 Toshiro HIKITA <toshi@sodan.org>
- (10.3-14k)
- install emu modules in site-lisp dir
  avoid to depend %emacsver

* Mon Oct 22 2001 Hidetomo Machi <mcHT@kondara.org>
- (10.3-12k)
- modify spec

* Sat Oct 20 2001 Kazuhiko <kazuhiko@kondara.org>
- (10.3-10k)
- requires common package

* Sat Oct 20 2001 Hidetomo Machi <mcHT@kondara.org>
- (10.3-8k)
- move working section to %build from %install

* Fri Oct 19 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-apel-10.3-6k)
- merge apel-{emacs, xemacs} into elisp-apel

* Thu Sep 13 2001 Hidetomo Machi <mcHT@kondara.org>
- (10.3-4k)
- sync with latest cvs

* Sat May 12 2001 Hidetomo Machi <mcHT@kondara.org>
- (10.3-2k)
- import to Mary
- synch with latest cvs

* Tue Apr 10 2001 Kazuhiko <kazuhiko@kondara.org>
- (10.3-3k)
- change Source0 URI

* Sun Dec  3 2000 KIM Hyeong Cheol <kim@kondara.org>
- (10.2-11k)
- use the same name for cvs patch as before 10.2-7k

* Wed Nov 15 2000 Toshiro HIKITA <toshi@sodan.org>
- (10.2-9k)
- update cvs patch (name changed)

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (10.2-7k)
- update cvs patch (but its name is not be changed)
- modify specfile (License)

* Fri Oct 06 2000 Toshiro HIKITA <toshi@sodan.org>
- (10.2-5k)
- Fixed spec for apel-emacs

* Sat Jul  8 2000 AYUHANA Tomonori <l@kondara.org>
- (10.2-2k)
- change emacsver 20.6 to 20.7.
- add -b at %patch

* Sat Jun 10 2000 Hidetomo Machi <mcHT@kondara.org>
- modified "Requires"

* Sun Mar 26 2000 Takaaki Tabuchi <tab@kondara.org>
- change emacsver 20.5 to 20.6.
- add -q at %setup.

* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- version 10.2

* Wed Feb 23 2000 Hidetomo Machi <mcHT@kondara.org>
- include cvs patch

* Wed Dec  8 1999 Hidetomo Hosono <h@kondara.org>
- release for emacs-20.5

* Sun Dec  5 1999 Hidetomo Hosono <h@kondara.org>
- re-format.
- Change category name.
- using filelist.

* Sat Dec  4 1999 Hidetomo Hosono <h@kondara.org>
- release for emacs, based on Hidetomo Hosono <h@kondara.org> 's one
  for mule.

* Tue Nov 23 1999 Hidetomo Hosono <h@kondara.org>
- release for mule, based on Toru Hoshina <t@kondara.org> 's one for xemacs.
  (the format is depended on my favorite style ;^) )
